<div class="mat-elevation-z8 logs-table">
  <button mat-button (click)="openDialog('Add',{})" mat-flat-button color="primary">Add Log</button>
  <div class="header">
  <mat-form-field>
    <input matInput name="title" (keyup)="applyFilter($event.target)" placeholder="Filter Title">
  </mat-form-field>

  <mat-form-field>
    <input matInput name="description" (keyup)="applyFilter($event.target)" placeholder="Filter Description">
  </mat-form-field>

  <mat-form-field>
    <input matInput #status_code name="status_code" (keyup)="applyFilter($event.target)" placeholder="Filter Status Code" maxlength="3">
    <mat-hint align="end">{{status_code.value.length}} / 3</mat-hint>
  </mat-form-field>
  </div>
  <table [dataSource]="" mat-table class="full-width-table"  matSort aria-label="Elements">
    <!-- Id Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
      <td mat-cell *matCellDef="let row">{{row.id}}</td>
    </ng-container>

    <!-- Title Column -->
    <ng-container matColumnDef="title">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Title</th>
      <td mat-cell *matCellDef="let row">{{row.title}}</td>
    </ng-container>

    <!-- Status Code Column -->
    <ng-container matColumnDef="status_code">
      <th mat-header-cell *matHeaderCellDef >Status Code</th>
      <td mat-cell *matCellDef="let row">{{row.status_code}}</td>
    </ng-container>

    <!-- CreatedAt Column -->
    <ng-container matColumnDef="createdAt">
      <th mat-header-cell *matHeaderCellDef>Created At</th>
      <td mat-cell *matCellDef="let row">{{row.createdAt}}</td>
    </ng-container>

    <!-- View Button Column -->
    <ng-container matColumnDef="action">
      <th mat-header-cell *matHeaderCellDef>Action</th>
      <td mat-cell *matCellDef="let row"> <button (click)="openDialog('View',{data: row.id})" mat-flat-button color="primary" >View</button> </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator #paginator
      [length]= "dataSource?.data.length"
      [pageIndex]="0"
      [pageSize]="10"
      [pageSizeOptions]="[10, 20, 50, 100]">
  </mat-paginator>
</div>
